Subject: [Fecframe] David Harrington's Discuss on draft-ietf-fecframe-framework-11: (with DISCUSS)

From: David Harrington <[email-masked]>
Date: Tue, 18 Jan 2011 10:07:21 -0800

David Harrington has entered the following ballot position for
draft-ietf-fecframe-framework-11: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

1) I support Dan's and Adrian's concerns about the lack of operations and management considerations in this draft.

It is the intention of the area directors and chairs to close this WG soon. Therefore, there is no planned work on operations and management in chartered drafts, making it even more important that it be discussed in the current WG document set.

FEC is an add-on functionality to other streams of data, and the nature of that data can vary widely, and the requirements for the corresponding FEC protection can vary widely as a result. The operational impact and the management of the FEC add-on functionality depends a great deal on the specifics of the data environment. The WG consensus is that the existing management solution used in the data environment should be used to provide the management of the FEC add-on, and no mandatory-to-implement protocols or data models, or even information models are called for. As a result, the WG consensus is that there really isn't much to say about operations and management. 

I disagree with this WG assessment. I agree the framework document in particular should include information about operational impact of using FEC protection, the expected manageability of devices and networks that will comply to the framework, and discussion of what kind of operations and manageability information future specifications of
protocols and components that comply to the framework, such as new FEC schemes, should include in their discussions of operations and management. 

I think the document should discuss the design decision to have management provided by the existing management solution of the data environment, and the impact this will have on management interoperability, and the operational impact of having no mandatory-to-implement management functionality available for operators to choose to use in their deployment.

2) This is a discuss-discuss about mandatory-to-implement components for a standard. 

Part of the problem that leads to my #1 point is that the framework appears to have no mandatory-to-implement components.Despite a charter that states that "A primary objective of this framework is to support FEC for real-time media applications using RTP over UDP, such as on demand streaming and audio/video broadcast", the WG has chosen to not make RTP a mandatory-to-implement component of the framework.  The WG is producing an SDP draft for the framework, but makes it optional to implement. The security considerations section does not make any protocol mandatory to implement. and there is no mandatory-to-implement management protocol. 

Having dealt with the SNMPv3 franeowrk and its mandatory parts, I have reservations about making specific components mandatory, but I think not making any mandatory is a problem.